SnmpRevision (Mibble 2.10.1 Documentation)
Date: 2017-02-20

net.percederberg.mibble.snmp

## Class SnmpRevision

- java.lang.Object
- - net.percederberg.mibble.snmp.SnmpRevision

-     public class SnmpRevision
      extends java.lang.Object

  An SNMP module identity revision value. This declaration is used inside a module identity macro type.
  Since:
    2.0
  See Also:
    `SnmpModuleIdentity`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SnmpRevision(MibValue value, java.lang.String description)` Creates a new SNMP module identity revision.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComment()` Returns the revision comment.
    `java.lang.String` | `getDescription()` Returns the revision description.
    `java.lang.String` | `getUnformattedDescription()` Returns the unformatted revision description.
    `MibValue` | `getValue()` Returns the revision number.
    `void` | `setComment(java.lang.String comment)` Sets the revision comment.
    `java.lang.String` | `toString()` Returns a string representation of this object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SnmpRevision

          public SnmpRevision(MibValue value,
                      java.lang.String description)

      Creates a new SNMP module identity revision.
      Parameters:
        `value` - the revision number
        `description` - the revision description

  - ### Method Detail

    - #### getValue

          public MibValue getValue()

      Returns the revision number.
      Returns:
        the revision number

    - #### getDescription

          public java.lang.String getDescription()

      Returns the revision description. Any unneeded indentation will be removed from the description, and it also replaces all tab characters with 8 spaces.
      Returns:
        the revision description
      See Also:
        `getUnformattedDescription()`

    - #### getUnformattedDescription

          public java.lang.String getUnformattedDescription()

      Returns the unformatted revision description. This method returns the original MIB file description, without removing unneeded indentation or similar.
      Returns:
        the revision description
      Since:
        2.6
      See Also:
        `getDescription()`

    - #### getComment

          public java.lang.String getComment()

      Returns the revision comment.
      Returns:
        the revision comment, or null if no comment was set
      Since:
        2.9

    - #### setComment

          public void setComment(java.lang.String comment)

      Sets the revision comment.
      Parameters:
        `comment` - the revision comment
      Since:
        2.9

    - #### toString

          public java.lang.String toString()

      Returns a string representation of this object.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        a string representation of this object